Skitflow
Generated

Bitbucket

Skitflow API reference for Bitbucket endpoints.

POST
/bitbucket.create

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/bitbucket.create" \  -H "Content-Type: application/json" \  -d '{    "authId": "string",    "name": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
GET
/bitbucket.one

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

bitbucketId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/bitbucket.one?bitbucketId=string"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
GET
/bitbucket.bitbucketProviders

Authorization

Authorization
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/bitbucket.bitbucketProviders"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
GET
/bitbucket.getBitbucketRepositories

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

bitbucketId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/bitbucket.getBitbucketRepositories?bitbucketId=string"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
GET
/bitbucket.getBitbucketBranches

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

owner*string
repo*string
bitbucketId?string

Response Body

application/json

application/json

curl -X GET "https://example.com/bitbucket.getBitbucketBranches?owner=string&repo=string"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/bitbucket.testConnection

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/bitbucket.testConnection" \  -H "Content-Type: application/json" \  -d '{    "bitbucketId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/bitbucket.update

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/bitbucket.update" \  -H "Content-Type: application/json" \  -d '{    "bitbucketId": "string",    "gitProviderId": "string",    "name": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}